Bug 1017176 - Until RDMA handling is improved, we should output a warning when using RDMA volumes
Summary: Until RDMA handling is improved, we should output a warning when using RDMA v...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: cli
Version: pre-release
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kaushal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-09 11:32 UTC by Justin Clift
Modified: 2015-07-13 04:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-04 02:26:30 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Justin Clift 2013-10-09 11:32:59 UTC
Description of problem:

  At present with the Gluster 3.4.x series, RDMA is buggy/broken and should *not* be used for anything other than development (bugfixing/testing) purposes.

  There is no obvious warning about this, which is catching some users out.

  To address this, we should add warnings to the CLI output when users attempt to create and/or user RDMA volumes.  These warnings can be removed when the RDMA code is again in a production-ready state.


Version-Release number of selected component (if applicable):

  Gluster 3.4.0, 3.4.1

Comment 1 Anand Avati 2013-12-21 18:06:03 UTC
REVIEW: http://review.gluster.org/6557 (cli: Throw a warning during creation of rdma volumes.) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 2 Anand Avati 2013-12-22 05:01:24 UTC
REVIEW: http://review.gluster.org/6558 (cli: Throw a warning during creation of rdma volumes.) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)

Comment 3 Anand Avati 2013-12-22 06:02:16 UTC
COMMIT: http://review.gluster.org/6557 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 6e1449e5201591bbfcd0effa94f221317ad46a7a
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Sat Dec 21 23:35:19 2013 +0530

    cli: Throw a warning during creation of rdma volumes.
    
    Change-Id: I77155a7a4ff56a10079aab206af197e9d03e8a8a
    BUG: 1017176
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6557
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 4 Anand Avati 2013-12-22 16:29:34 UTC
COMMIT: http://review.gluster.org/6558 committed in release-3.4 by Vijay Bellur (vbellur@redhat.com) 
------
commit e19add96b3906c2911d8b568a0ebcfa44c5a6950
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Sun Dec 22 10:28:54 2013 +0530

    cli: Throw a warning during creation of rdma volumes.
    
    Change-Id: I75e5383dc7401886c6afe435488de0368050e4e4
    BUG: 1017176
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6558
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>


Note You need to log in before you can comment on or make changes to this bug.